ubuntu-location-service: core::dbus::Codec< std::map< com::ubuntu::location::SpaceVehicle::Key, com::ubuntu::location::SpaceVehicle > > Struct Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Static Public Member Functions | List of all members
core::dbus::Codec< std::map< com::ubuntu::location::SpaceVehicle::Key, com::ubuntu::location::SpaceVehicle > > Struct Reference

`#include <codec.h>`

Collaboration diagram for core::dbus::Codec< std::map< com::ubuntu::location::SpaceVehicle::Key, com::ubuntu::location::SpaceVehicle > >:

## Static Public Member Functions
static void | encode_argument (Message::Writer &writer, const std::map< com::ubuntu::location::SpaceVehicle::Key, com::ubuntu::location::SpaceVehicle > &arg)
static void | decode_argument (Message::Reader &reader, std::map< com::ubuntu::location::SpaceVehicle::Key, com::ubuntu::location::SpaceVehicle > &out)

## Detailed Description

Definition at line 329 of file codec.h.

## Member Function Documentation

## ◆ decode_argument()

static void core::dbus::Codec< std::map< com::ubuntu::location::SpaceVehicle::Key, com::ubuntu::location::SpaceVehicle > >::decode_argument | ( | Message::Reader & | reader,
|  | std::map< com::ubuntu::location::SpaceVehicle::Key, com::ubuntu::location::SpaceVehicle > & | out
| ) |  |
| inlinestatic

Definition at line 344 of file codec.h.

References core::dbus::Codec< com::ubuntu::location::SpaceVehicle >::decode_argument(), and com::ubuntu::location::SpaceVehicle::key.

Here is the call graph for this function:

## ◆ encode_argument()

static void core::dbus::Codec< std::map< com::ubuntu::location::SpaceVehicle::Key, com::ubuntu::location::SpaceVehicle > >::encode_argument | ( | Message::Writer & | writer,
|  | const std::map< com::ubuntu::location::SpaceVehicle::Key, com::ubuntu::location::SpaceVehicle > & | arg
| ) |  |
| inlinestatic

Definition at line 331 of file codec.h.

References core::dbus::Codec< com::ubuntu::location::SpaceVehicle >::encode_argument(), and core::dbus::helper::TypeMapper< com::ubuntu::location::SpaceVehicle >::signature().

Here is the call graph for this function:

The documentation for this struct was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/codec.h